//=====================================================================
//
//	Task1.c - testing task 1
//
//=====================================================================

#include "Main.h"

#define	TASK_NO	1
#define REGX	0
#define REGY	0
#define	REGW	(HY28B_j1GFX_Ctrl.displayWidth)
#define	REGH	12
#define	BG_RGB	0xff0000
#define	FG_RGB	0xffffff

//---------------------------------------------------------------------
//	Task1() - entry point
//---------------------------------------------------------------------

void Task1(void *pvParameters)
{
	j1Put_CTRL	j1Put_Ctrl;
	j1GFX_CTRL	j1GFX_Ctrl;
	uint16		wanker;
	
	j1Put_Ctrl.Put_Char		= (void *) j1GFX_PutChar;
	j1Put_Ctrl.deviceCtrl 	= &j1GFX_Ctrl;
	
	Mutexes_j1GFX(true);
	j1GFX_SetRegion(&HY28B_j1GFX_Ctrl, &j1GFX_Ctrl, REGX, REGY, REGW, REGH);
	j1GFX_FillRegion(&j1GFX_Ctrl, BG_RGB);
	j1GFX_SetFontFgBg(&j1GFX_Ctrl, j1GFX_FONT_8X12, 1, FG_RGB, BG_RGB);
	j1GFX_SetTextRowCol(&j1GFX_Ctrl, 0, 0);
	j1GFX_PutChar(&j1GFX_Ctrl, TASK_NO + '0');
	j1GFX_PutChar(&j1GFX_Ctrl, ':');
	Mutexes_j1GFX(false);
	
	wanker = 0;
	
	while (true)
	{
		vTaskDelay(1000 / portTICK_PERIOD_MS);

		wanker++;
		
		Mutexes_j1GFX(true);
		j1GFX_SetTextRowCol(&j1GFX_Ctrl, 0, 3);
		j1Put_Hex16(&j1Put_Ctrl, wanker, 0);
		Mutexes_j1GFX(false);
	}
}
